> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get financial statement for a project

> Use this endpoint to retrieve the financial statement report for a project.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/projects/{project_id}/financial-statement
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/projects/{project_id}/financial-statement:
    get:
      tags:
        - Projects
      summary: Get financial statement for a project
      description: >-
        Use this endpoint to retrieve the financial statement report for a
        project.
      parameters:
        - name: project_id
          in: path
          description: The project ID to retrieve financial statement for.
          required: true
          schema:
            type: string
        - name: timestamp_granularity
          in: query
          description: The financial statement time granularity.
          required: false
          schema:
            type: string
            default: quarter
            enum:
              - year
              - quarter
              - month
              - week
        - name: interval
          in: query
          description: The time interval to retrieve financial statement for.
          schema:
            type: string
            default: 1y
            enum:
              - 1m
              - 1y
              - 2y
              - 3y
              - 5y
              - max
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        timestamp:
                          type: string
                          description: The timestamp of the data point.
                        timestamp_label_heading:
                          type: string
                          description: The heading for granularity, e.g. Q3 2023.
                        timestamp_label_subheading:
                          type: string
                          description: >-
                            The subheading for the granularity, e.g. Oct 1 - Dec
                            31.
                        timestamp_granularity:
                          type: string
                          description: The date granularity, e.g. quarter.
                        project_name:
                          type: string
                          description: The project's name.
                        section:
                          type: string
                          description: >-
                            The section a metric belongs to, e.g. Income
                            statement.
                        metric_id:
                          type: string
                          description: The metric ID.
                        value:
                          type: string
                          description: The value of the metric.
                        pop_change:
                          type: string
                          description: >-
                            The change ratio of the metric value to the previous
                            value.
                        definition:
                          type: string
                          description: The definition of the metric.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````